### Bag of Words Approaches (Figures 1,2,3)
A feature vector in BOW model simply measures the frequency of words appearing in the document. The TF-IDF transformation takes this BOW vector and decreases the weighting of words which occur frequently across the corpus.

We perform experiments on both the full paragraph of the Wikipedia pages as well as the textual content of the 'categories' section. We optimise the model through a grid-search on the following parameters:

- Max DF: The threshold of document frequency after which terms are not included in the model.
- Stopwords: Whether or not stopwords are removed. Scikit-Learn's stopword removal library was used.
- N-grams: Whether 1-grams, 2-grams or 3-grams were used in the model (or a combination thereof).
- Max Features: A cap on the number of features in total to be used. If max features is greater than the vocabuluary of our dataset, we remove the words which occur least frequently.

#### Results

The best BOW model used the full paragraph text, and achieved an accuracy of `0.738`. It had a Max Df. frequency of `0.5`, did not use stop-words, used both 1- and 2-grams and did not have a cap on the number of features. When looking at TF-IDF models the best result also used the full paragraph text, with an accuracy of `0.760`. Our model parameters were the same as the BOW model, with the exception that optimal performance occurred through capping the number of features at twenty-thousand.

**Other relevant results:**

- Adding bi-grams provided a uniform increase in accuracy.
- For our experiments, fulltext provided an increase in accuracy across experiments.
- The optimal Max. Df. value varied with other experiment parameters, ranging between 0.5 and 1.
- Stopword removal is useful only if we limit the maximum number of features.
- A TF-IDF transformation improved performance across the board.
